Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# RClass Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
rb_classext_t * | ptr
struct st_table * | m_tbl
struct st_table * | iv_index_tbl

## Detailed Description

Definition at line 609 of file ruby.h.

## Field Documentation

struct RBasic RClass::basic

Definition at line 610 of file ruby.h.

struct st_table* RClass::iv_index_tbl

Definition at line 613 of file ruby.h.

struct st_table* RClass::m_tbl

Definition at line 612 of file ruby.h.

rb_classext_t* RClass::ptr

Definition at line 611 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h